#
# spec file for package python-feedgenerator
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-feedgenerator
Version:        1.9
Release:        3.8
Summary:        Standalone version of django.utilsfeedgenerator, compatible with Py3k
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/getpelican/feedgenerator
Source:         https://files.pythonhosted.org/packages/source/f/feedgenerator/feedgenerator-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/getpelican/feedgenerator/master/LICENSE
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytz
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Feedgenerator-py3k is a standalone version of Django's feedgenerator.
It is based on the current Django Version 1.5.dev20120824122350.

The previous feedgenerator 1.2.1 is based on rather old code, and
during the port to Python 3 it became obvious that (at least) the handling
of unicode strings has to be refactored.

Django has evolved since, so I decided to create a new standalone version
which is based upon modern code.

%python_subpackages

%prep
%setup -q -n feedgenerator-%{version}
# add the missing licence
cp %{SOURCE1} LICENSE

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%check
export LC_ALL=en_US.utf8
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/feedgenerator-%{version}-py%{python_version}.egg-info
%{python_sitelib}/feedgenerator

%changelog
* Mon May 22 2017 benoit.monin@gmx.fr
- add missing BuildRequires: python-rpm-macros
* Sun May  7 2017 benoit.monin@gmx.fr
- convert the package to singlespec
- call fdupes to fix duplicated files
- add the missing license file
- add package documentation
- list the actual files in python_sitelib
* Mon Sep 12 2016 benoit.monin@gmx.fr
- update to version 1.9: no upstream changelog
- update project url
- update source url
- add python-pytz and python-six as BuildRequires
- run the tests
* Tue Apr  5 2016 benoit.monin@gmx.fr
- update to version 1.8: no upstream changelog
* Fri Dec 27 2013 benoit.monin@gmx.fr
- switch from distribute to setuptools
- remove useless CFLAGS="%%{optflags}"
* Tue Sep  3 2013 benoit.monin@gmx.fr
- update to feedgenerator 1.7
* Sat Jun  8 2013 benoit.monin@gmx.fr
- update to feedgenerator 1.6
* Wed Mar 27 2013 benoit.monin@gmx.fr
- initial package with version 1.5
